let param=$M.param()
let dom=$M.find(param.id)


let reg=/[A-Z]{1}/

function findUp(str)
{
    return reg.test(str)
}


let obj=$M.style(dom)
let real={}

let arr=[]
for (const key in obj) 
{
    let cur=obj[key]
    if(isNaN(Number(key)) && typeof cur =='string')
    {
        if(findUp(key) ||  
        key.indexOf('-moz-')===0 || 
        key.indexOf('-webkit-')===0)continue

        arr.push(key)
    }
}

arr=arr.sort()


let objSub={}
for (let index = 0; index < arr.length; index++) 
{
    let cur=arr[index]
    real[cur]=obj[cur]

    let sub=cur.split('-')
    if(objSub[sub[0]])objSub[sub[0]][cur]=obj[cur]
    else objSub[sub[0]]={[cur]:obj[cur]}
}

for (let index = 0; index < arr.length; index++) 
{
    let cur=arr[index]
    real[cur]=obj[cur]
}


$M.dispatch('html','slide-detail-index-update',{param:objSub,type:'com'})